﻿<%@ Page Title="" Language="C#" MasterPageFile="~/View/MasterForm.Master" AutoEventWireup="true"
    CodeBehind="PANStatistics_View.aspx.cs" Inherits="EasyTDS.View.PANStatistics_View" %>

<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="server">

    <script type="text/javascript">

        window.ht = "490"
        window.wd = "650"
        // //window.title="title"
        document.documentElement.style.overflowX = "hidden"
        document.documentElement.style.overflowY = "hidden"

        function MDI_Load() {
            //Add user code here

        }
        function MDI_Close() {

            //Add user code here
            //alert(MDI.id)
            return true;
        }  
   
    </script>

</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <asp:UpdatePanel ID="UpdatePanel1" runat="server">
        <ContentTemplate>
            <hlp:ActionMessage ID="ActionMessage1" runat="server" />
            <div style="height: 30px">
                <asp:Label ID="lblHead" runat="server" Text="Section: "></asp:Label>
                <telerik:RadComboBox ID="rcbForms" runat="server" AutoPostBack="true" OnSelectedIndexChanged="rcbForms_SelectedIndexChanged"
                    Width="550px">
                    <Items>
                        <telerik:RadComboBoxItem Text="All" Value="All" />
                        <telerik:RadComboBoxItem Text="Form 26Q" Value="26Q" />
                        <telerik:RadComboBoxItem Text="Form 27Q" Value="27Q" />
                        <telerik:RadComboBoxItem Text="Form 27EQ" Value="27EQ" />
                    </Items>
                </telerik:RadComboBox>
            </div>
            <div class="RadGridCtr" style="height: 391.5px">
                <telerik:RadGrid EnableLinqExpressions="false" ID="dgData" runat="server" AllowSorting="True"
                    AutoGenerateColumns="False" GridLines="None" GroupingEnabled="False" Skin="Vista"
                    Height="97.5%" Width="99%" OnNeedDataSource="dgData_NeedDataSource" SkinID="NoTools"
                    OnItemDataBound="OnItemDataBound">
                    <PagerStyle Mode="NextPrevAndNumeric" PageButtonCount="5" PagerTextFormat="Change page: {4} &amp;nbsp;({0}/{1})&amp;nbsp;&amp;nbsp;Total records : {5}" />
                    <MasterTableView ClientDataKeyNames="MonthID" TableLayout="Fixed" EditMode="InPlace"
                        AutoGenerateColumns="false">
                        <RowIndicatorColumn Visible="false">
                            <HeaderStyle Width="10px" />
                        </RowIndicatorColumn>
                        <ExpandCollapseColumn>
                            <HeaderStyle Width="10px" />
                        </ExpandCollapseColumn>
                        <Columns>
                            <telerik:GridBoundColumn DataField="MonthName" HeaderText="Month" UniqueName="MonthName"
                                ReadOnly="true">
                                <HeaderStyle Width="15%" />
                            </telerik:GridBoundColumn>
                            <telerik:GridBoundColumn ItemStyle-HorizontalAlign="Right" DataField="NoOfTranscations"
                                HeaderText="No. Of Transaction " UniqueName="NoOfTranscations" ReadOnly="true">
                                <HeaderStyle Width="18%" />
                            </telerik:GridBoundColumn>
                            <telerik:GridBoundColumn ItemStyle-HorizontalAlign="Right" DataField="ValidPAN" HeaderText="Valid PAN (Structure)"
                                UniqueName="ValidPAN" ReadOnly="true">
                                <HeaderStyle Width="25%" />
                            </telerik:GridBoundColumn>
                            <telerik:GridBoundColumn ItemStyle-HorizontalAlign="Right" DataField="InValidPAN"
                                HeaderText="InValid PAN (Structure)" UniqueName="InValidPAN" ReadOnly="true">
                                <HeaderStyle Width="22%" />
                            </telerik:GridBoundColumn>
                            <telerik:GridBoundColumn ItemStyle-HorizontalAlign="Right" DataField="BlankPAN" HeaderText="Blank PAN (Structure)"
                                UniqueName="BlankPAN" ReadOnly="true">
                                <HeaderStyle Width="22%" />
                            </telerik:GridBoundColumn>
                            <telerik:GridTemplateColumn>
                                <ItemTemplate>
                                    <asp:Button CssClass="rowButton red" ID="btnDetails" runat="server" Text="Invalid" Visible='<%# HelperLib.Extensions.BaseExtensions.C2Bool(Eval("Value")) %>'
                                        OnClientClick='<%#  "return OpenWindow(\""+ DataBinder.Eval(Container.DataItem, "MonthID")+"\",\"InValid\");" %>' />
                                </ItemTemplate>
                                <HeaderStyle Width="20%" />
                            </telerik:GridTemplateColumn>
                            <telerik:GridTemplateColumn>
                                <ItemTemplate>
                                    <asp:Button CssClass="rowButton green" ID="btnDetails" runat="server" Text="Valid" Visible='<%# HelperLib.Extensions.BaseExtensions.C2Bool(Eval("Value")) %>'
                                        OnClientClick='<%#  "return OpenWindow(\""+ DataBinder.Eval(Container.DataItem, "MonthID")+"\",\"Valid\");" %>' />
                                </ItemTemplate>
                                <HeaderStyle Width="20%" />
                            </telerik:GridTemplateColumn>
                            <telerik:GridTemplateColumn>
                                <ItemTemplate>
                                    <asp:Button CssClass="rowButton blank" ID="btnDetails" runat="server" Text="Blank" Visible='<%# HelperLib.Extensions.BaseExtensions.C2Bool(Eval("Value")) %>'
                                        OnClientClick='<%#  "return OpenWindow(\""+ DataBinder.Eval(Container.DataItem, "MonthID")+"\",\"Blank\");" %>' />
                                </ItemTemplate>
                                <HeaderStyle Width="20%" />
                            </telerik:GridTemplateColumn>
                        </Columns>
                    </MasterTableView>
                    <ClientSettings AllowDragToGroup="True" AllowGroupExpandCollapse="False" AllowKeyboardNavigation="True">
                        <Selecting AllowRowSelect="True" />
                        <ClientEvents />
                        <Scrolling AllowScroll="True" ScrollHeight="80px" UseStaticHeaders="True" />
                        <Resizing AllowColumnResize="True" />
                    </ClientSettings>
                </telerik:RadGrid>
            </div>
            <asp:Panel ID="pnlButton" runat="server" Style="margin-top: 10px; margin-left: 510px">
                <hlp:IconButton ID="btnCancel" OnClientClick="MDI.Close();return false;" runat="server"
                    SkinID="Cancel" Text="Cancel" Width="80px" />
            </asp:Panel>
        </ContentTemplate>
    </asp:UpdatePanel>
    <style type="text/css">
        .RadCalendarPopup
        {
            z-index: 500000 !important;
        }
        .rowBackground
        {
            color: #674674;
            background-color: #FFF4F4;
        }
        .rowQuarter
        {
            background-color: #d0d7e5;
            height: 30px;
            font-weight: bold;
        }
        .rowTotal
        {
            background-color: #FFCBCB;
            height: 35px;
            font-weight: bold;
        }
        .rowButton
        {
            color: white;
            line-height: normal;
            width: auto;
            font-family: Arial;
            font-weight: bold;
            cursor: pointer;
            display: inline-block;
            background-color: #0064CD;
            background-repeat: repeat-x;
            text-decoration: none;
            padding: 4px 8px 4px 8px;
            vertical-align: middle;
            border-radius: 4px;
            border-color: #d0d7e5;
        }
        .rowButton.red
        {
            background-color: #FE2626;
        }
        .rowButton.green
        {
            background-color: #008000;
        }
        .rowButton.blank
        {
            background-color:#610080;
        }
        </style>

    <script type="text/javascript">
        var rdoChange;
        $(document).ready(function() {
        });

        function OpenWindow(id, type) {
            var FormNO = $find("<%= rcbForms.ClientID %>").get_value();
            var text = "";
            var newurl = "";
            var assessmentYear1 = ("<%=TdsBAL.Globals.Users.AssessmentYear %>").substring(0, 4);
            var assessmentYear2 = ("<%=TdsBAL.Globals.Users.AssessmentYear %>").substring(4, 8);

            if (id == "Q1")
                text = "List of Invalid PAN. First Quarter (" + assessmentYear1 + "-" + assessmentYear2 + ")";
            else if (id == "Q2")
                text = "List of Invalid PAN. Second Quarter (" + assessmentYear1 + "-" + assessmentYear2 + ")";
            else if (id == "Q3")
                text = "List of Invalid PAN. Third Quarter (" + assessmentYear1 + "-" + assessmentYear2 + ")";
            else if (id == "Q4")
                text = "List of Invalid PAN. Fourth Quarter (" + assessmentYear1 + "-" + assessmentYear2 + ")";

            newurl = "ListOfInvalidPAN_View.aspx?PgKey=" + $.QS("PgKey") + "&QuarterID=" + id + "&FormNo=" + FormNO + "&Type=" + type;
            MDIMain.NewMDI(newurl, text).ShowDialog(MDI).MoveTo(1);
            return false;
        }         
    
    </script>

</asp:Content>
