﻿<%@ Page Title="" Language="C#" MasterPageFile="~/View/MasterForm.Master" AutoEventWireup="true"
    CodeBehind="TallyImportMasterUtility.aspx.cs" Inherits="EasyTDS.View.TallyImportMasterUtility" %>

<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="server">

    <script type="text/javascript">

        window.ht = "260"
        window.wd = "500"
        // //window.title="title"
        document.documentElement.style.overflowX = "hidden"
        document.documentElement.style.overflowY = "hidden"

        function MDI_Load() {
            //Add user code here

        }
        function MDI_Close() {
            //Add user code here
            //alert(MDI.id)
            return true;
        }
    </script>

    <style>
        tblError
        {
            width: 99%;
            margin-top: 2px;
        }
        .tblError, .tblError tr, .tblError td
        {
            border: 1px solid;
        }
        .tblError td
        {
            font-family: nunitregular;
            font-weight: normal;
            font-size: 11px;
        }
        .center
        {
            text-align: center;
        }
        .tblError th
        {
            text-align: center;
            background-color: #CACACA;
            color: #000;
            border: 1px solid #000;
        }
        .tblError .num
        {
            text-align: right;
        }
        .divCntr
        {
            width: 98%;
            height: 98%;
            overflow: auto;
            margin-top: 6px;
        }
        .delete
        {
            border-radius: 8px;
            height: 16px;
            width: 16px;
            background-color: #FF7045;
            border: none;
            text-align: left;
            padding-left: 5px;
            padding-bottom: 3px;
            margin-left: 3px;
            color: #FFF;
        }
        .delete:hover
        {
            background-color: red;
        }
        #ctl00_ContentPlaceHolder1_UpdatePanel1
        {
            height: 100%;
        }
        #divMapping
        {
            position: absolute;
            z-index: 3500;
            top: 30px;
            left: 10px;
            background-color: #FFFCF7;
            height: 91%;
            width: 96%;
            padding: 5px;
            border-radius: 6px;
            border: 2px solid #616267;
        }
        #divBankMapping
        {
            position: absolute;
            z-index: 3500;
            top: 30px;
            left: 10px;
            background-color: #FFFCF7;
            height: 91%;
            width: 96%;
            padding: 5px;
            border-radius: 6px;
            border: 2px solid #616267;
        }
        .btnCntr
        {
            position: absolute;
            right: 5px;
            bottom: 5px;
        }
        .link
        {
            font-size: 13px;
            font-weight: bold;
            color: #7400CC;
            text-decoration: underline;
            padding: 1px;
        }
        .link:hover
        {
            color: Green;
        }
        .tdsheadddl
        {
            color: #008000;
            font-weight: bold;
        }
        .mastertext
        {
            color: purple;
            font-weight: bold;
        }
    </style>
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <asp:UpdatePanel ID="UpdatePanel1" runat="server">
        <ContentTemplate>
            <hlp:ActionMessage ID="ActionMessage1" runat="server" />
            <table style="width: 100%">
                <tr>
                    <td>
                        <asp:Label runat="server" Text="Select XML file to upload" ID="lblSelectFile">
                        </asp:Label>
                    </td>
                    <td>
                        <telerik:RadAsyncUpload runat="server" ID="uplFile" Width="300px" TemporaryFolder="~\View\temp"
                            MaxFileInputsCount="1" AllowedFileExtensions="xml" OnClientValidationFailed="validationFailed"
                            OnClientFileUploaded="fileUploaded">
                        </telerik:RadAsyncUpload>
                    </td>
                    <td>
                        <asp:Button ID="btnUpload" runat="server" Style="display: none;" Text="Upload" OnClick="btnUpload_Click" />
                    </td>
                </tr>
                <tr>
                    <td colspan="3">
                        <asp:Label ID="lblStatus" SkinID="boldLabel" Style="color: Green" runat="server"></asp:Label>
                    </td>
                </tr>
            </table>
            <div style="margin-top: 20px;">
                <asp:Label ID="lblTDSYear" runat="server" Text="TDS Year"></asp:Label>
                <telerik:RadComboBox ID="ddlTDSYear" runat="server" Width="200px">
                </telerik:RadComboBox>
            </div>
            <div style="margin-top: 20px;">
                <asp:Label ID="lblTAN" runat="server" Text="Branch"></asp:Label>
                <telerik:RadComboBox ID="ddlTan" runat="server" Width="200px">
                </telerik:RadComboBox>
            </div>
            <asp:Panel ID="pnlButton" runat="server" Style="margin-top: 10px; float: right; position: absolute;
                right: 7px; bottom: 4px;">
                <hlp:IconButton ID="btnSubmit" runat="server" Text="Import" OnClick="btnSubmit1_Click"
                    SkinID="Submit" Width="80px" />
                <asp:Button ID="btnSubmit2" Visible="false" runat="server" />
                <hlp:IconButton ID="btnCancel" OnClientClick="MDI.Close();return false;" runat="server"
                    Text="Cancel" Width="80px" SkinID="Cancel" />
            </asp:Panel>
            <telerik:RadComboBox ID="rcbDeducteeType" runat="server" Style="display: none">
            </telerik:RadComboBox>
        </ContentTemplate>
    </asp:UpdatePanel>

    <script type="text/javascript">
        function pageLoad() {
        }
        function validationFailed(sender, eventArgs) {
            alert("Please upload files that are of .xml type")
        }
        function fileUploaded(sender, args) {
            $get("<%=btnUpload.ClientID %>").click();

        }

       
    </script>

</asp:Content>
