﻿<%@ Page Language="C#" MasterPageFile="~/View/MasterForm.Master" AutoEventWireup="true"
    CodeBehind="ApplicationResources.aspx.cs" Inherits="EasyTDS.View.ApplicationResources"
    Title="Application Resources" %>

<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>

<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="server">

    <script type="text/javascript">
  var PageMode="MDI";
  var IsCompanyRegistered=0,CompanyGUID="",CompanyMachineCode="",CompanyUnlockCode="";
 
    window.ht="max"
    window.wd="880"
   // //window.title="title"
   document.documentElement.style.overflowX="hidden"
   document.documentElement.style.overflowY="hidden"
   $(document.documentElement).keydown(function(event){checkKeys(event)});
   var DataChanged=false;
   
  
   
   function MDI_Load()
   {   
   //Add user code here
   

   }
   function ResizeWin() {

       if ($('#divRegComp').length <= 0) {
           if (typeof MDI != "undefined") {
               MDI.ResizeTo(500, 125);
               MDI.MoveTo(1);
           }
           return;
       }

       if (IsCompanyRegistered == "0") {
           $('#divRegComp').show();
           $('#divAppRes').hide();
           if (typeof MDI != "undefined") {
               MDI.ResizeTo(490, 140);
               MDI.MoveTo(1);
           }
       }
       else {
           $('#divAppRes').show();
           $('#divRegComp').hide();
           if (typeof MDI != "undefined") {
               if (PageMode == "MDI")
                   MDI.ResizeTo(880, "max");
               else
                   MDI.ResizeTo(880, 500);
               MDI.MoveTo(1);
           }
       }
   }
   function MDI_Close()
   {  
    //Add user code here
    //alert(MDI.id)
    if(DataChanged)
        alert('You need to restart the application to affect any changes applied.');
    return true;
   }
   
   function checkKeys(event) {      
   if(event.keyCode==84 &&  event.altKey)
    TotalDeRegisterComp();
   }
  
   $(window).load(MDI_Load);
   if(window.opener != null && typeof window.opener.registerCompanyFinish != "undefined"){
   PageMode="External";
   window.MDI=new Object(); 
   MDI.ResizeTo = function(x,y){window.resizeTo(x,y+90);}
   MDI.MoveTo = function(x,y){(x==1?window.moveTo(parseInt((screen.width-document.documentElement.clientWidth)/2),parseInt((screen.height-document.documentElement.clientHeight)/2)):window.moveTo(x,y));}    
   MDI.StopLoader = function(){}
   MDI.Close = function() { window.setTimeout(function() { window.close(); }, 100); };
   $(window).unload(function() { window.opener.registerCompanyFinish(); });
   MDI.GetFrame=function(){return $("#nonmdi")}
   }

   function CloseWin()
   {   
    MDI.Close();
    return false;
   }
   $(document).ready(function(){$("#<%=UpdatePanel1.ClientID%>").css("height","100%");})
    </script>

   
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <asp:UpdatePanel ID="UpdatePanel1" runat="server">
        <ContentTemplate>
            <asp:HiddenField ID="hdnMasterID" runat="server" />
            <hlp:ActionMessage ID="ActionMessage1" runat="server" />
            <asp:Panel SkinID="PnlNoSkin" Height="97%" runat="server" ID="pnlMain">
                <div id="divRegComp" style="display: none">
                    <asp:Label ID="lblReg" runat="server" Style="white-space: nowrap" Text="This company is not registered.<br/>Before activating any application resources you need to<br/>obtain a Registration Number for this company,<br/>you can obtain this either through automatic or manual registration process."></asp:Label>
                    <br />
                    <span style="margin-top: 7px"><a href="javascript:void(0)" class="BlueButton" id="aAutoReg"
                        style="width: 120px;" onclick="AutoRegister(this)">Auto Registration</a> <a class="BlueButton"
                            style="width: 120px;" id="aManualReg" onclick="ShowReg(this)" href="javascript:void(0)">
                            Manual Registration</a>
                        <br />
                        <span class="ManualReg" style="display: none; margin-top: 6px; width: 95%" id="lblManualReg">
                            <fieldset>
                                <legend>Manual Registration </legend>
                                <telerik:RadTextBox ShowButton="true" Style="margin-top: 5px; margin-bottom: 5px"
                                    Width="300px" ClientEvents-OnButtonClick="ClaimGUID" Skin="Outlook" ID="rtxtGuid"
                                    runat="server" EmptyMessage="Enter Company Identification Code Here:" InvalidStyleDuration="100">
                                </telerik:RadTextBox>
                                <br />
                                <span style="font: 'Segoe UI' , Arial, sans-serif; color: #00156e; margin: margin-top:5px;
                                    display: block">Company Machine Code:</span>
                                <asp:Label Style="font: 'Segoe UI' , Arial, sans-serif; color: #00156e; margin: margin-top:5px;
                                    height: 16px; width: 275px; padding: 3px; display: block; background-color: InactiveBorder"
                                    runat="server" ID="lblCompMacCode" Text="" SkinID="LblNoSkin"></asp:Label>
                                <telerik:RadTextBox ShowButton="true" Width="300px" Style="margin-top: 8px; margin-bottom: 5px"
                                    ClientEvents-OnButtonClick="ManualRegister" Skin="Outlook" ID="rtxtReg" runat="server"
                                    EmptyMessage="Enter Company Registration Number Here." InvalidStyleDuration="100">
                                </telerik:RadTextBox>
                            </fieldset>
                        </span></span>
                </div>
                <div id="divAppRes" style="display: none; margin: 3px; overflow: hidden; height: 95%;
                    width: 97%; ">
                    <span style="height: 28px; display: block; font: Segoe UI,Arial,sans-serif; color: #00156e;
                        border-bottom: solid 1px #00156e;padding-top:5px"><span style="float: left; margin: 5px"><span>Company
                            Registration Number:</span>
                            <asp:Label ID="lblCompRegNo" runat="server" SkinID="LblNoSkin" Style="font-weight: bold"></asp:Label>
                        </span><a href="javascript:void(0)" class="BlueButton" id="aDeregM" style="margin-left: 5px;margin-right:5px; float: right" onclick="ManualDeRegisterComp(this)">De-Register Manually</a><a href="javascript:void(0)" class="BlueButton" id="aDereg" style="float: right;" onclick="DeRegisterComp(this)">De-Register Company (Auto)</a></span>
                    
                    <table class="UnlockOptions" cellspacing="3" style="width:100%;height:50px">
                        <tr>                       
                           
                            <td style="width:50%;height:50px">
                            <span class="label">Click below button to automatically get resources from server.</span>
                                <asp:Button ID="btnAutoAll" CssClass="BlueButton" Width="210px" OnClick="btnAutoAll_Click" runat="server" Text="Unlock Resources Automatically" />
                            </td> 
                            <td style="width:50%;height:50px">
                            <span class="label">Select the resource file and manually enable the resources.</span> 
                                <telerik:RadAsyncUpload runat="server" OnClientFileUploaded="FileUploaded" ID="AsyncUpload1"
                                    TemporaryFolder="~\View\temp" MaxFileInputsCount="1" AllowedFileExtensions="lic,txt">
                                </telerik:RadAsyncUpload>
                                <asp:Button ID="btnManualAll" OnClick="btnManualAll_Click" Style="display: none"
                                    runat="server" Text="Unlock" />
                            </td>
                        </tr>
                    </table>
                    <telerik:RadGrid ID="dgData" runat="server"  AllowPaging="false" AllowSorting="True"
                        AutoGenerateColumns="False" GridLines="None" GroupingEnabled="False" Skin="Vista"
                        Height="75%" Width="100%" AllowFilteringByColumn="False">
                        <MasterTableView ClientDataKeyNames="res_pid,groupItem" CommandItemDisplay="None"
                            TableLayout="Fixed">
                            <RowIndicatorColumn Visible="false">
                                <HeaderStyle Width="20px" />
                            </RowIndicatorColumn>
                            <ExpandCollapseColumn>
                                <HeaderStyle Width="20px" />
                            </ExpandCollapseColumn>
                            <Columns>
                                <telerik:GridTemplateColumn DataField="resourcename" HeaderText="Resources" UniqueName="column">
                                    <HeaderStyle Width="92%" />
                                    <ItemTemplate>
                                        <asp:Label ID="lblGroup" SkinID="LblNoSkin" Style="font-family: Verdana; font-size: 11pt;
                                            font-weight: bold; width: 100%; display: inline-block" Visible='<%#Eval("groupItem").ToString()=="1" %>'
                                            runat="server" Text=' <%#Eval("resourcename")%>'></asp:Label>
                                        <asp:Label ID="lblChild" CssClass='<%#Eval("newresource").ToString()=="1"?"NewRecord":"" %>' SkinID="LblNoSkin" Style="margin-left: 15px; font-size: 8pt;
                                            font-family: Verdana" Visible='<%#Eval("groupItem").ToString()=="0" %>' runat="server"
                                            Text=' <%#Eval("resourcename")%>'></asp:Label>
                                    </ItemTemplate>
                                </telerik:GridTemplateColumn>
                                <telerik:GridTemplateColumn DataField="selected" HeaderText="Activate" ItemStyle-HorizontalAlign="Center" HeaderStyle-HorizontalAlign="Center" UniqueName="colSelect">
                                    <HeaderStyle Width="8%" />
                                    <ItemTemplate>
                                    <%#Eval("res_pid").ToString().ToUpper() == TdsBAL.Configurator.ApplicationResources.LMT_TANCOUNT || Eval("res_pid").ToString().ToUpper()==TdsBAL.Configurator.ApplicationResources.LMT_BRANCHCOUNT ? HelperLib.Conversion.C.Str(Eval("resinfo")) : ""%>
                                    <input type="checkbox" resid='<%#Eval("res_pid")%>' style='<%#Eval("groupItem").ToString()=="1" || Eval("res_pid").ToString().ToUpper()==TdsBAL.Configurator.ApplicationResources.LMT_TANCOUNT || Eval("res_pid").ToString().ToUpper()==TdsBAL.Configurator.ApplicationResources.LMT_BRANCHCOUNT?"display:none":"" %>' class='<%#Eval("groupItem").ToString()=="1" || Eval("res_pid").ToString().ToUpper()==TdsBAL.Configurator.ApplicationResources.LMT_TANCOUNT || Eval("res_pid").ToString().ToUpper()==TdsBAL.Configurator.ApplicationResources.LMT_BRANCHCOUNT?"":"ChkSelect" %>'  <%#HelperLib.Conversion.C.Bool(Eval("applicable"))?"checked":"" %> />
                                       
                                    </ItemTemplate>
                                </telerik:GridTemplateColumn>
                                <telerik:GridBoundColumn Visible="false" DataField="groupItem" UniqueName="colGroup">
                                </telerik:GridBoundColumn>
                            </Columns>
                        </MasterTableView>
                        <ClientSettings ClientEvents-OnRowSelecting="RowSelecting" AllowDragToGroup="True"
                            AllowGroupExpandCollapse="False" AllowKeyboardNavigation="True">
                            <Selecting AllowRowSelect="True" />
                            <ClientEvents />
                            <Scrolling AllowScroll="True" ScrollHeight="180px" UseStaticHeaders="True" />
                            <Resizing AllowColumnResize="True" />
                        </ClientSettings>
                    </telerik:RadGrid>
               
                </div>
                <asp:Panel ID="pnlButton" Style="text-align: right; padding-top: 8px; padding-bottom: 3px;
                    padding-right: 15px" runat="server">
                    <asp:Button ID="btnCancel" runat="server" Text="Close" />
                </asp:Panel>
            </asp:Panel>
            <span id="nonmdi" style="display: none; position: absolute"></span>
        </ContentTemplate>
    </asp:UpdatePanel>
     <style>
        .UnlockOptions{
            margin-top:5px;
        margin-bottom:5px;
        }
        .UnlockOptions td{
            border:solid 1px #00156E;
            text-align:center;
        }
        .UnlockOptions .label{
            font-family: Arial, Verdana;
            font-weight:bold;
            font-size:8.5pt;
            color:#00156E;
        }
        .ruInputs li{
            text-align:center;
        }
        .iOSCheckContainer .iOSCheckLabelOn,
        .iOSCheckContainer .iOSCheckLabelOff
        {
        width:25px;
        }
        .RadGrid_Office2007 .rgRow td, .RadGrid_Office2007 .rgAltRow td {
            padding-top:3px !important;
            padding-bottom:3px !important;
        }
       .RadGrid_Office2007 .rgRow .NewRecord, .RadGrid_Office2007 .rgAltRow .NewRecord {
           color:Red;
           font-weight:bold;
        }
        
        .RadGrid_Office2007 .rgDataDiv{
        position:relative !important;
        }
    
        SPAN
        {
            font-family: Arial, Sans-Serif;
        }
        .rtTemplate
        {
            font: 'Segoe UI' , Arial, sans-serif;
            color: #00156e;
        }
        .rtTemplate Legend
        {
            padding-left: 25px;
            height: 24px;
            font-weight: bold;
            font: 'Segoe UI' , Arial, sans-serif;
            color: #00156e;
            background-repeat: no-repeat;
        }
        .ManualUnlock .riTextBox
        {
            color: #00156e !important;
            width: 180px !important;
        }
        .ManualReg .riTextBox
        {
            color: #00156e !important;
            width: 100% !important;
        }
        .PnlItemLock Legend
        {
            background-image: url(../img/lock.gif);
        }
        .PnlItemUnLock Legend
        {
            background-image: url(../img/unlock.gif);
        }
        .PnlItemFree Legend
        {
            padding-left: 5px;
        }
        .aUnlock
        {
            height: 14px;
            width: 85px;
            text-decoration: none;
            padding: 0px 3px 3px 3px;
            background-color: #F3F3F3;
            background-image: none;
            display: inline-block;
            text-align: center;
            color: #00156e;
            margin-top: 5px;
            border: solid 1px #00156e;
            vertical-align: bottom;
        }
        .aUnlockProg
        {
            height: 14px;
            width: 85px;
            text-decoration: none;
            padding: 0px 3px 3px 3px;
            background-color: #F3F3F3;
            background-image: url(../img/prog.gif);
            background-repeat: no-repeat;
            background-position: 25px 3px;
            display: inline-block;
            text-align: center;
            color: #00156e;
            margin-top: 5px;
            border: solid 1px #00156e;
            vertical-align: bottom;
        }
        .aUnlock:hover
        {
            vertical-align: bottom;
            height: 14px;
            text-decoration: none;
            padding: 0px 3px 3px 3px;
            display: inline-block;
            text-align: center;
            color: White;
            margin-top: 5px;
            border: solid 1px #00156e;
            filter: progid:DXImageTransform.Microsoft.gradient(startColorstr=#2B70B6,endColorstr=#7BB0F3);
            background: -webkit-gradient(linear, left top, left bottom, from(#2B70B6), to(#7BB0F3));
            background: -moz-linear-gradient(top, #2B70B6, #7BB0F3);
        }
        .ImgHidden
        {
            visibility: hidden;
        }
        .ImgVisible
        {
            visibility: visible;
        }
        .desc
        {
            font: 12px/1.52em 'Segoe UI' , Arial, sans-serif;
            color: #00156e;
            cursor: default;
            padding: 5px;
            border: solid 1px #003366;
            margin-left: 45px;
            white-space: normal;
            width: 90%;
            filter: progid:DXImageTransform.Microsoft.gradient(startColorstr=#F3F3F3,endColorstr=#ffffff);
            background: -webkit-gradient(linear, left top, left bottom, from(#F3F3F3), to(#ffffff));
            background: -moz-linear-gradient(top, #F3F3F3, #ffffff);
        }
    </style>
    <!-- Ajax events -->

    <script type="text/javascript">

var ajx = Sys.WebForms.PageRequestManager.getInstance();		
ajx.add_pageLoaded(function(){
	if(typeof MDI != "undefined")
	{
	//Add user code here
	//alert("load "+MDI.id );  


	           
	}
})

ajx.add_endRequest(function(){

    if(typeof MDI != "undefined")
	{
	//Add user code here
	//alert("load "+MDI.id );             
	}
})
    </script>

    <!--User Functions -->

    <script type="text/javascript">

var Inprocess=false;
var aManualReg =$('#aManualReg');
var aAutoReg =$('#aAutoReg');
var aDereg =$('#aDereg');
var aDeregM =$('#aDeregM');
var lblCompMacCode=$('#<%=lblCompMacCode.ClientID %>');
var lblManualReg=$('#lblManualReg');
var lblCompRegNo=$('#<%=lblCompRegNo.ClientID %>');
var rtxtGuid=null,rtxtReg=null;
function pageLoad()
{
$("#<%=dgData.ClientID%>_GridData").find(".ChkSelect").iphoneStyle({onChange: function(c,b){ActivateResource(c,b); }});
ResizeWin();
rtxtGuid=$find('<%=rtxtGuid.ClientID%>');
rtxtReg=$find('<%=rtxtReg.ClientID%>');
}    
 function RowSelecting(sender,args){
   if(args.get_gridDataItem().getDataKeyValue("groupItem")=="1")
        args.set_cancel(true);
}
 function FileUploaded(sender,args){
   $("#<%=btnManualAll.ClientID%>").click();
}

function AutoRegister(btn)
{   
    btn=$(btn)
    btn.setEnable(false);
    btn.next().next().setEnable(false);
    btn.setClass("aUnlockProg");
    btn.html("");
    lblManualReg.hide();
    PageMethods.ExecuteCommand("AutoRegister","",CompanyName,CompanyCode,CompanyGUID,CompanyMachineCode,CompanyUnlockCode,CompanyID,"",IPAdd,ExecuteCommandCallback,ExecuteCommandFailed);

}
function ClaimGUID(object,eventArgs)
{
    if(!object.get_enabled())
        return;
    var str =object.get_value();
   // var regGuid = /^(\{){0,1}[0-9a-fA-F]{8}\-[0-9a-fA-F]{4}\-[0-9a-fA-F]{4}\-[0-9a-fA-F]{4}\-[0-9a-fA-F]{12}(\}){0,1}$/
    
    if(str=="" )//|| !regGuid.test(str)){
    {alert("Enter company identification number.");
    return;
    }
  
    aManualReg.setEnable(false);
    aManualReg.prev().prev().setEnable(false);
    aManualReg.setClass("aUnlockProg");
    aManualReg.html("");
    PageMethods.ExecuteCommand("ClaimGUID","",CompanyName,CompanyCode,str,CompanyMachineCode,CompanyUnlockCode,CompanyID,str,IPAdd,ExecuteCommandCallback,ExecuteCommandFailed);

}

function ManualRegister(object,eventArgs)
{
    if(!object.get_enabled())
        return;
    var str =object.get_value();
   // var regGuid = /^(\{){0,1}[0-9a-fA-F]{8}\-[0-9a-fA-F]{4}\-[0-9a-fA-F]{4}\-[0-9a-fA-F]{4}\-[0-9a-fA-F]{12}(\}){0,1}$/
    
    if(str=="" )//|| !regGuid.test(str)){
    {alert("Enter company registration number.");
    return;
    }
  
    aManualReg.setEnable(false);
    aManualReg.prev().prev().setEnable(false);
    aManualReg.setClass("aUnlockProg");
    aManualReg.html("");
    PageMethods.ExecuteCommand("ManualRegister","",CompanyName,CompanyCode,CompanyGUID,CompanyMachineCode,str,CompanyID,str,IPAdd,ExecuteCommandCallback,ExecuteCommandFailed);

}

function DeRegisterComp()
{
    if(confirm('De-registering the company will disable all registered resources. Do you wish to continue?')){
    aDereg.setEnable(false);
    aDereg.setClass("aUnlockProg");
    aDereg.html("");
    PageMethods.ExecuteCommand("DeRegisterComp","",CompanyName,CompanyCode,CompanyGUID,CompanyMachineCode,CompanyUnlockCode,CompanyID,CompanyGUID,IPAdd,ExecuteCommandCallback,ExecuteCommandFailed);
    }
}
function ManualDeRegisterComp()
{
    if(confirm('De-registering the company will disable all registered resources. Do you wish to continue?')){
    aDeregM.setEnable(false);
    aDeregM.setClass("aUnlockProg");
    aDeregM.html("");
    PageMethods.ExecuteCommand("ManualDeRegisterComp","",CompanyName,CompanyCode,CompanyGUID,CompanyMachineCode,CompanyUnlockCode,CompanyID,CompanyGUID,IPAdd,ExecuteCommandCallback,ExecuteCommandFailed);
    }
}
function TotalDeRegisterComp()
{
    if(confirm('De-registering the company will disable all registered resources. Do you wish to continue?')){   
    PageMethods.ExecuteCommand("TotalDeRegisterComp","",CompanyName,CompanyCode,CompanyGUID,CompanyMachineCode,CompanyUnlockCode,CompanyID,CompanyGUID,IPAdd,ExecuteCommandCallback,ExecuteCommandFailed);
    }
}
function ShowReg(btn)
{
if(!lblManualReg.isVisible()){
     lblManualReg.css("display","inline-block");
     if(CompanyGUID ==""){
        rtxtReg.disable();
        rtxtGuid.enable();
     }
     else{    
        rtxtGuid.set_value(CompanyGUID);
        rtxtReg.enable();
        rtxtGuid.disable(); 
     }
     MDI.ResizeTo(490,290);
   }
else{
    lblManualReg.hide();
    MDI.ResizeTo(490,140);  
  } 
}

function  ShowResources()
{
    if(confirm('Company was registered successfully. Do you wish to continue with resource management?')){
        $('#divAppRes').show();
        $('#divRegComp').hide();
        if (window.opener != null && typeof window.opener.registerCompanyFinish != "undefined")
            window.opener.companyRegistrationSuccesfull = true;
        $find("<%=dgData.ClientID%>").repaint();
         MDI.ResizeTo(880,600);
         MDI.MoveTo(1);
    }
    else{        
        MDI.Close();
    }
}    
function RefreshParent()
{

}

    function rtvApplicationsNodeClicking(sender, args)
    {
     if(args.get_node().get_nodes().get_count()>0)      
        args.set_cancel(true);
        
    }


function ShowChild(div)
{
div=$(div);
if(!div.parent().node(2).isVisible()){
   div.parent().node(2).css("display","block");
   div.setClass("rtMinus");
   }
else{
    div.parent().node(2).hide();  
    div.setClass("rtPlus");
  } 
    
}
var rtSKey=null;
function ShowInput(btn)
{
btn=$(btn);
if(!btn.next().isVisible()){
     btn.next().css("display","inline-block");
   }
else{
    btn.next().hide();
  } 
}

function ChangeImg(img)
{
img=$(img);
if(img.attr("status")=="A")
    img.attr("src","img/uncheck.gif");
else
    img.attr("src","img/check.gif");
}
function ResetImg(img)
{
img=$(img);
if(img.attr("status")=="A")
    img.attr("src","img/check.gif");
else
    img.attr("src","img/uncheck.gif");
}

var CurrentControl=null;

function ActivateResource(chk,on)
{
  
//   if(Inprocess){
//        alert('Please wait till processing is finished.')
//        return false;
//    }       
    Inprocess=true;
    DataChanged=true;
    PageMethods.ExecuteCommand("ActivateResource",chk.attr("resid"),CompanyName,CompanyCode,CompanyGUID,CompanyMachineCode,CompanyUnlockCode,CompanyID,(on?"A":"D"),IPAdd,ExecuteCommandCallback,ExecuteCommandFailed);
}
var EmpCount=0;
function GetEmpCount(object,args)
{
EmpCount=object.get_value();
}
function AutoUnLock(btn)
{
    btn=$(btn);
    if(Inprocess){
        alert('Please wait till processing is finished.')
        return false;
    }    
    CurrentControl=btn;
    btn.setEnable(false);
    btn.next().setEnable(false,true);
    btn.setClass("aUnlockProg");
    btn.html("");
    btn.next().next().hide(); 
    var data="";
    if (btn.attr("resid") == "<%= TdsBAL.Configurator.ApplicationResources.LMT_BRANCHCOUNT %>")  
        data=EmpCount;    
    Inprocess=true;    
    PageMethods.ExecuteCommand("AutoUnLock",btn.attr("resid"),CompanyName,CompanyCode,CompanyGUID,CompanyMachineCode,CompanyUnlockCode,CompanyID,data,IPAdd,ExecuteCommandCallback,ExecuteCommandFailed);
}
function ManualUnlock(object,eventArgs)
{
    if(Inprocess){
        alert('Please wait till processing is finished.')
        return false;
    }    
    var btn=$(object.get_wrapperElement()).parent().prev().prev();
    CurrentControl=btn;
    btn.setEnable(false);
    btn.prev().prev().setEnable(false);
    btn.setClass("aUnlockProg");
    btn.html("");
    Inprocess=true;
    PageMethods.ExecuteCommand("ManualUnlock",btn.attr("resid"),CompanyName,CompanyCode,CompanyGUID,CompanyMachineCode,CompanyUnlockCode,CompanyID,object.get_value(),IPAdd,ExecuteCommandCallback,ExecuteCommandFailed);
}

ExecuteCommandCallback = function (result) {
Inprocess=false;
if(result == null)
    return;
  //  alert(result[0])
    if(result[0]=="AutoUnLock"){
        CurrentControl.setEnable(true);
        CurrentControl.next().setEnable(true);
        CurrentControl.setClass("BlueButton");
        CurrentControl.html("Auto Unlock");
        if(result[1]=="1")
              SetAsUnlocked(CurrentControl);
        else
            alert(result[2]);
    }
    else if(result[0]=="ManualUnlock"){
        CurrentControl.setEnable(true);
        CurrentControl.prev().prev().setEnable(true);
        CurrentControl.setClass("BlueButton");
        CurrentControl.html("Manual Unlock");        
        if(result[1]=="1"){
              CurrentControl.next().next().hide();
              SetAsUnlocked(CurrentControl);
        }
        else
            alert(result[2]);
    }    
    else if(result[0]=="AutoRegister"){
        aAutoReg.setEnable(true);
        aAutoReg.next().next().setEnable(true);
        aAutoReg.setClass("BlueButton");
        aAutoReg.html("Auto Registration");
        if(result[1]=="1"){
              IsCompanyRegistered=1;
              CompanyGUID=result[3];
              CompanyMachineCode=result[4];
              CompanyUnlockCode=result[5];
              lblCompRegNo.html(CompanyGUID);//CompanyUnlockCode;
              ShowResources();
        }
        else
            alert(result[2]);
    }
    else if(result[0]=="ClaimGUID"){
        aManualReg.setEnable(true);
        aManualReg.prev().prev().setEnable(true);
        aManualReg.setClass("BlueButton");
        aManualReg.html("Manual Registration");        
        if(result[1]=="1"){
             // CurrentControl.nextSibling.style.display="none";
             IsCompanyRegistered=1;
              CompanyMachineCode=result[3];
              CompanyGUID=result[4];
               rtxtGuid.disable();
               rtxtReg.enable();
               lblCompMacCode.html(CompanyMachineCode);
        }
        else
            alert(result[2]);
    }
    else if(result[0]=="ManualRegister"){
        aManualReg.setEnable(true);
        aManualReg.prev().prev().setEnable(true);
        aManualReg.setClass("BlueButton");
        aManualReg.html("Manual Registration");        
        if(result[1]=="1"){            
              CompanyUnlockCode=result[3];
              lblCompRegNo.html(CompanyGUID);//CompanyUnlockCode;
              ShowResources();
        }
        else
            alert(result[2]);
    }
    else if(result[0]=="DeRegisterComp"){
        if(result[1]=="1"){
            alert("Company Unregistered successfully");   
            aDereg.setEnable(true);
            aDereg.setClass("BlueButton");
            aDereg.html("De-Register Company (Auto)");
            $('#divRegComp').show();
            $('#divAppRes').hide();
           
            CompanyMachineCode="";
            CompanyUnlockCode="";
            MDI.ResizeTo(490,140);
            MDI.MoveTo(1);
        }
        else
             alert(result[2]);
    }
    else if(result[0]=="ManualDeRegisterComp"){
        if(result[1]=="1"){
            alert("Company Unregistered successfully.Please inform our support department so that changes can be done in online database.");   
            aDeregM.setEnable(true);
            aDeregM.setClass("BlueButton");
            aDeregM.html("De-Register Company (Manual)");
            $('#divRegComp').show();
            $('#divAppRes').hide();
            CompanyMachineCode="";
            CompanyUnlockCode="";
            MDI.ResizeTo(490,140);
            MDI.MoveTo(1);
        }
        else
             alert(result[2]);
    }
    else if(result[0]=="TotalDeRegisterComp"){
        if(result[1]=="1"){
            alert("Company Unregistered successfully");
            $('#divRegComp').show();
            $('#divAppRes').hide()
            CompanyGUID="";
            CompanyMachineCode="";
            CompanyUnlockCode="";
            rtxtGuid.set_value("");
            rtxtGuid.enable();
            rtxtReg.disable();
            lblCompMacCode.html("");
            MDI.ResizeTo(490,140);
            MDI.MoveTo(1);
        }
        else
             alert(result[2]);
    }
}
ExecuteCommandFailed = function (error,userContext,methodName) {
Inprocess=false;
if(error)
    alert(error._message); 
 
}

function SetAsUnlocked(btn)
{  
  btn.parent().parent().parent().parent().parent().setClass("PnlItemUnLock");

  if (btn.attr("resid") != "<%= TdsBAL.Configurator.ApplicationResources.LMT_BRANCHCOUNT %>") {
    btn.parent().setVisible(false);
    btn.parent().next().setClass("ImgVisible");
  }
   alert('Request processed successfully.');
   DataChanged=true;
}


    </script>

</asp:Content>
