﻿<%@ Page Title="" Language="C#" MasterPageFile="~/View/MasterForm.Master" AutoEventWireup="true"
    CodeBehind="Bank_View.aspx.cs" Inherits="EasyTDS.View.Bank_View" %>

<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="server">

    <script type="text/javascript">

        window.ht = "400"
        window.wd = "630"
        // //window.title="title"
        document.documentElement.style.overflowX = "hidden"
        document.documentElement.style.overflowY = "hidden"

        function MDI_Load() {
            //Add user code here

        }
        function MDI_Close() {
            //Add user code here
            //alert(MDI.id)
            return true;
        }
        var BankID = 0;
    </script>

</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <asp:UpdatePanel ID="UpdatePanel1" runat="server">
        <ContentTemplate>
            <hlp:ActionMessage ID="ActionMessage1" runat="server" />
            <div class="RadGridCtr">
                <telerik:RadGrid ID="dgData" SkinID="ClientPaging" EnableViewState="false" runat="server"
                    AllowPaging="true" AllowSorting="True" AllowFilteringByColumn="true" GridLines="None"
                    Height="85%" Width="100%" PageSize="10">
                    <ItemStyle Wrap="false" />
                    <MasterTableView AllowMultiColumnSorting="true" ClientDataKeyNames="bank_pid" CommandItemDisplay="Bottom"
                        TableLayout="Fixed">
                        <Columns>
                            <telerik:GridBoundColumn DataField="bankcode" HeaderText="Bank Code">
                                <HeaderStyle Width="25%" />
                            </telerik:GridBoundColumn>
                            <telerik:GridBoundColumn DataField="bankname" HeaderText="Bank Name">
                                <HeaderStyle Width="25%" />
                            </telerik:GridBoundColumn>
                            <telerik:GridBoundColumn DataField="bankHOaddress" HeaderText="Bank HO Address">
                                <HeaderStyle Width="25%" />
                            </telerik:GridBoundColumn>
                        </Columns>
                        <CommandItemTemplate>
                        </CommandItemTemplate>
                    </MasterTableView>
                    <PagerStyle AlwaysVisible="true" Mode="Slider" />
                    <ClientSettings>
                        <Selecting AllowRowSelect="True" />
                        <Scrolling AllowScroll="True" ScrollHeight="180px" UseStaticHeaders="True" />
                        <Resizing AllowColumnResize="True" />
                    </ClientSettings>
                </telerik:RadGrid>
                <telerik:RadToolBar OnClientButtonClicking="onToolBarClientButtonClicking" ID="RadToolBar1"
                    runat="server" Skin="Vista" SkinID="GridToolbar" Width="100%" >
                    <CollapseAnimation Duration="200" Type="OutQuint" />
                    <Items>
                        <telerik:RadToolBarButton Permission="A" CommandName="A" ImageUrl="~/img/radimages/AddRecord.gif"
                            Text="Add">
                        </telerik:RadToolBarButton>
                        <telerik:RadToolBarButton Permission="E" CommandName="E" ImageUrl="~/img/radimages/Edit.gif"
                            Text="Edit">
                        </telerik:RadToolBarButton>
                        <telerik:RadToolBarButton Permission="V" CommandName="V" ImageUrl="~/img/radimages/Icon.gif"
                            Text="View">
                        </telerik:RadToolBarButton>
                        <telerik:RadToolBarButton Permission="D" CommandName="D" ImageUrl="~/img/radimages/delete.gif"
                            Text="Delete">
                        </telerik:RadToolBarButton>
                        <telerik:RadToolBarButton CommandName="X" ImageUrl="~/img/radimages/Icon.gif" Text="Export To CSV">
                                        </telerik:RadToolBarButton>
                        <telerik:RadToolBarButton CommandName="C" ImageUrl="~/img/radimages/Cancel.gif" Text="Close">
                        </telerik:RadToolBarButton>
                    </Items>
                </telerik:RadToolBar>
            </div>
        </ContentTemplate>
    </asp:UpdatePanel>

    <script type="text/javascript">
        $(document).ready(function() {
        });

        function pageLoad() {
            BindGrid("<%=dgData.ClientID %>", {"OnBind":onDelete });
        }
function onDelete(result){
if (result["Command"] == "Delete" && result["Result"] == "Success")
   MDI.MDIParentBase.Remove_AddNewCombo(result["@BankID"]);
}
        function onToolBarClientButtonClicking(sender, args) {
            var mode = args.get_item().get_commandName();
            if (mode == "C") {
                MDI.Close();
                args.set_cancel(true);
            }
            else
                return args.set_cancel(!OpenWindow(mode));
        }

        function OpenWindow(mode) {
            if (mode == "X") {
                BindGrid("<%=dgData.ClientID %>", { "Type": "BankList_CSV" }, null, "Export");
                return false;
            }

            var PageCall=$.QS("PageCall");
            var text = "";
            if (mode == "A")
                text = "Add Bank "
            else if (mode == "E")
                text = "Edit Bank ";
            else if (mode == "D")
                text = "Delete";
            else {
                mode = "V";
                text = "View Bank ";
            }
            var newurl = "";
            if (mode == "A") {
                if(PageCall != "")
                newurl = "Bank_Add.aspx?PgKey="+$.QS("PgKey")+"&PageType=A&PageCall="+PageCall;
                else
                newurl = "Bank_Add.aspx?PgKey="+$.QS("PgKey")+"&PageType=A";
            }
            else if (mode == "E" || mode == "V" || mode == "D") {
                var id = RadGrid_GetDataKey("<%= dgData.ClientID %>");
                if (id == null)
                    return false;
                if (mode == "D") {
                    if (confirm('Do you wish to delete this record?'))
                        RadGrid_Delete("<%= dgData.ClientID %>", { "@BankID": id });
                    return false;
                }
                
                newurl = "Bank_Add.aspx?PgKey="+$.QS("PgKey")+"&PageType=" + mode + "&ID=" + id+"&PageCall="+PageCall;
                
            }

            MDIMain.NewMDI(newurl, text).ShowDialog(MDI).MoveTo(1);
            return false;
        }

        function RefreshGrid() {
            RadGrid_Refresh("<%= dgData.ClientID %>", { "NoRefresh": true });
        } 
        function RefreshDDL(name,pid) {
            RadGrid_Refresh("<%= dgData.ClientID %>");
            MDI.MDIParentBase.Refresh_AddNewCombo(name, pid);  
        }   
    </script>

</asp:Content>
